{
  "models": [
    {
      "name": "MatchScheduler",
      "resource_name": "match-scheduler",
      "synchronizable": false,
      "observable": true,
      "tokenExemptedMethods": [],
      "properties": [
        {
          "name": "id",
          "type": "String",
          "defaultValue": "Store.randomId()"
        },
        {
          "name": "tournament",
          "type": "String",
          "foreignKey": "Tournament"
        },
        {
          "name": "timeDifferenceLimit",
          "type": "Int",
          "defaultValue": "5"
        },
        {
          "name": "loserBracketRotationDifference",
          "type": "Int",
          "defaultValue": "0"
        },
        {
          "name": "upperBracketRotationDifference",
          "type": "Int",
          "defaultValue": "1"
        },
        {
          "name": "accountUpperBracketBreakTime",
          "type": "Bool",
          "defaultValue": "true"
        },
        {
          "name": "accountLoserBracketBreakTime",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "randomizeCourts",
          "type": "Bool",
          "defaultValue": "true"
        },
        {
          "name": "rotationDifferenceIsImportant",
          "type": "Bool"
        },
        {
          "name": "shouldHandleUpperRoundSlice",
          "type": "Bool"
        },
        {
          "name": "shouldEndRoundBeforeStartingNext",
          "type": "Bool",
          "defaultValue": "true"
        },
        {
          "name": "groupStageChunkCount",
          "type": "Int",
          "optional": true
        },
        {
          "name": "overrideCourtsUnavailability",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "shouldTryToFillUpCourtsAvailable",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "courtsAvailable",
          "type": "Set<Int>",
          "defaultValue": "Set<Int>()"
        },
        {
          "name": "simultaneousStart",
          "type": "Bool",
          "defaultValue": "true"
        }
      ]
    }
  ]
}
